package com.palmnest.application.dto.input;

import java.io.Serializable;
/**
 * 新增修改app版本记录
 * @author longmeizhen
 */
public class AppUseVersionDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 5973610877277448154L;
	private String useCodeId;
	private String useCode;//应用编码
	private String useName;//应用名称
	private String versionCode;//版本号
	private String usePlatform;//应用平台 1安卓2ios
	private String versionName;//版本名称
	private String clientId;
	private String customer;//所属客户
	private String strMessage;//更新内容
	private String updateURL;//更新链接
	private String updateFlag;//是否强制更新
	private String remark;//备注
	private String minimumVersion;//支持最低版本(默认为该版本)
	public String getUseCode() {
		return useCode;
	}
	public void setUseCode(String useCode) {
		this.useCode = useCode;
	}
	public String getUseName() {
		return useName;
	}
	public void setUseName(String useName) {
		this.useName = useName;
	}
	public String getVersionCode() {
		return versionCode;
	}
	public void setVersionCode(String versionCode) {
		this.versionCode = versionCode;
	}
	public String getUsePlatform() {
		return usePlatform;
	}
	public void setUsePlatform(String usePlatform) {
		this.usePlatform = usePlatform;
	}
	public String getVersionName() {
		return versionName;
	}
	public void setVersionName(String versionName) {
		this.versionName = versionName;
	}
	public String getCustomer() {
		return customer;
	}
	public void setCustomer(String customer) {
		this.customer = customer;
	}
	public String getStrMessage() {
		return strMessage;
	}
	public void setStrMessage(String strMessage) {
		this.strMessage = strMessage;
	}
	public String getUpdateURL() {
		return updateURL;
	}
	public void setUpdateURL(String updateURL) {
		this.updateURL = updateURL;
	}
	public String getUpdateFlag() {
		return updateFlag;
	}
	public void setUpdateFlag(String updateFlag) {
		this.updateFlag = updateFlag;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getMinimumVersion() {
		return minimumVersion;
	}
	public void setMinimumVersion(String minimumVersion) {
		this.minimumVersion = minimumVersion;
	}
	public String getUseCodeId() {
		return useCodeId;
	}
	public void setUseCodeId(String useCodeId) {
		this.useCodeId = useCodeId;
	}
	public String getClientId() {
		return clientId;
	}
	public void setClientId(String clientId) {
		this.clientId = clientId;
	}
	
}
